libfreehand::FH3CharProperties Struct Reference documentation

libfreehand::FH3CharProperties Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FH3CharProperties ()

## Public Attributes
unsigned | m_offset
unsigned | m_fontNameId
double | m_fontSize
unsigned | m_fontStyle
unsigned | m_fontColorId
unsigned | m_textEffsId
double | m_leading
double | m_letterSpacing
double | m_wordSpacing
double | m_horizontalScale
double | m_baselineShift

## Constructor & Destructor Documentation

## ◆ FH3CharProperties()

libfreehand::FH3CharProperties::FH3CharProperties | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_baselineShift

double libfreehand::FH3CharProperties::m_baselineShift

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_fontColorId

unsigned libfreehand::FH3CharProperties::m_fontColorId

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_fontNameId

unsigned libfreehand::FH3CharProperties::m_fontNameId

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_fontSize

double libfreehand::FH3CharProperties::m_fontSize

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_fontStyle

unsigned libfreehand::FH3CharProperties::m_fontStyle

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_horizontalScale

double libfreehand::FH3CharProperties::m_horizontalScale

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_leading

double libfreehand::FH3CharProperties::m_leading

Referenced by libfreehand::FHCollector::_outputDisplayText(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_letterSpacing

double libfreehand::FH3CharProperties::m_letterSpacing

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_offset

unsigned libfreehand::FH3CharProperties::m_offset

Referenced by libfreehand::FHCollector::_outputDisplayText(), libfreehand::FHParser::_readFH3CharProperties(), FH3CharProperties(), and libfreehand::FHParser::readDisplayText().

## ◆ m_textEffsId

unsigned libfreehand::FH3CharProperties::m_textEffsId

Referenced by libfreehand::FHCollector::_appendCharacterProperties(), libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

## ◆ m_wordSpacing

double libfreehand::FH3CharProperties::m_wordSpacing

Referenced by libfreehand::FHParser::_readFH3CharProperties(), and FH3CharProperties().

The documentation for this struct was generated from the following file:

- FHTypes.h